Duplicate configuration
curl --request POST \
--url https://managexrapi.com/organizations/{orgId}/configurations/duplicate \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Config v2",
"configurationId": "TY8ZiuJoxuy51fsSxXp0"
}
'import requests
url = "https://managexrapi.com/organizations/{orgId}/configurations/duplicate"
payload = {
"name": "Config v2",
"configurationId": "TY8ZiuJoxuy51fsSxXp0"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Config v2', configurationId: 'TY8ZiuJoxuy51fsSxXp0'})
};
fetch('https://managexrapi.com/organizations/{orgId}/configurations/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6qwM6FzJE4o708iqTpWc",
"name": "Config v2",
"registrationCode": "f7GbHvH",
"deviceCount": 0
}Configurations
Duplicate Configuration
Create a new configuration by duplicating an existing one.
POST
/
organizations
/
{orgId}
/
configurations
/
duplicate
Duplicate configuration
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The ID of the organization. Locate the orgId under Organization Settings > API Keys.
Body
application/json
Response
201 - application/json
A configuration summary object
Unique identifier of the configuration
Name of the configuration
Configuration code (formerly known as Registration Code) for the configuration. Learn More
Number of devices using the configuration
⌘I